Bug 1889659 - [Assisted-4.6] [cluster validation] Number of hosts validation is not enforced when Automatic role assigned
Summary: [Assisted-4.6] [cluster validation] Number of hosts validation is not enforce...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: assisted-installer
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Sarah Lavie
QA Contact: Yuri Obshansky
URL:
Whiteboard: OCP-Metal-juke-5
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 10:40 UTC by Lital Alon
Modified: 2021-06-16 04:32 UTC (History)
4 users (show)

Fixed In Version: OCP-Metal-v1.0.11.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-15 09:26:44 UTC
Target Upstream Version:


Attachments (Terms of Use)
Validation is not enforced (140.39 KB, image/png)
2020-10-20 10:40 UTC, Lital Alon
no flags Details
validation should pass (192.14 KB, image/png)
2020-10-21 11:49 UTC, mchernyk
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:2286 0 None None None 2021-06-15 09:27:40 UTC

Description Lital Alon 2020-10-20 10:40:13 UTC
Created attachment 1722829 [details]
Validation is not enforced

Created attachment 1722829 [details]
Validation is not enforced

Description of problem:
I have 4 nodes in the cluster with automatic role assignment. The issue is that i expected a validation message to appear, explaining that 3 masters with 1 workers is not supported. 
Instead cluster was at Ready to install.

Steps to Reproduce:
1. Boot 4 nodes and leave the role as Automatic
2. Set all cluster info and save changes

Actual results:
Cluster is Ready to install

Expected results:
Validation error displays

Comment 1 Lital Alon 2020-10-20 10:41:26 UTC
Master:
Release tag
stable
Assisted Installer UI version
quay.io/ocpmetal/ocp-metal-ui:d047d6f2709c59af9f7becc10d694bfc811cde37
Assisted Installer UI library version
1.0.47
assistedIgnitionGenerator
Assisted Installer
quay.io/ocpmetal/assisted-installer:08a0ca837247d867a3fbb1953415e8f417754ed2
Assisted Installer Controller
quay.io/ocpmetal/assisted-installer-controller:08a0ca837247d867a3fbb1953415e8f417754ed2
Assisted Installer Service
quay.io/ocpmetal/assisted-service:c631bd9262b1c32b61801f285d79822e0782f45b
Discovery Agent
quay.io/ocpmetal/assisted-installer-agent:6fcfff8bfd66bcf05fb0cec2ca609be2c518a578
Image Builder
quay.io/ocpmetal/assisted-iso-create:c631bd9262b1c32b61801f285d79822e0782f45b

Comment 2 mchernyk 2020-10-21 11:49:21 UTC
Created attachment 1723162 [details]
validation should pass

When cluster has 5 nodes in 'Known' state, assigning 3 masters, 1 worker and 1 node with 'Automatic' role leads to failed validation.

Comment 4 Lital Alon 2020-11-16 17:32:38 UTC
Verified on:
Staging v1.0.11.1
facet lib v1.4.2

Comment 6 Siddharth Sharma 2021-06-04 18:37:27 UTC
This bug will be shipped as part of next z-stream release 4.7.15 on June 14th, as 4.7.14 was dropped due to a regression https://bugzilla.redhat.com/show_bug.cgi?id=1967614

Comment 10 errata-xmlrpc 2021-06-15 09:26:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.16 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2286


Note You need to log in before you can comment on or make changes to this bug.